 	SUBROUTINE PRINTERRORMESSAGES(BTOP)
	USE WINTERACTER
	USE SHAREDVARS
	USE RESOURCE
	REAL BTOP,BHGT,BWID,YLOC
	INTEGER IERR
!Define Graphics Area and Units for Parameter Grid; Outline Area 
	BWID=6.5
	BHGT=0.3+6*0.2 !0.3 for heading and margins plus room for six error messages
	CALL IGrArea(0.0,(BTOP-BHGT)/10.0,BWID/6.5,BTOP/10.0)
	CALL IGrUnits(0.0,-BHGT,BWID,0.0)
	CALL IGrLineWidth(1,10)
	CALL IGrBorder()
!Define Font Options and Write Section Heading
	CALL WGrTextOptions(GrTextRatio,RatioHeight)
	CALL WGrTextFont(FFHelvetica,ISTYLE=FSBold,HEIGHT=0.18/BHGT)
	CALL WGrTextOrientation(AlignCentre)
	CALL WGrTextString(3.25,-0.2,"Error Messages")
!Write Error Messages 
	CALL WGrTextFont(FFHelvetica,ISTYLE=0,HEIGHT=0.16/BHGT)
	DO IERR=1,MAX(1,NERROR)
		YLOC=-0.2-0.2*IERR
		CALL WGrTextString(3.25,YLOC,TRIM(ERRORMESSAGE(IERR)))
	ENDDO
	RETURN
	END SUBROUTINE PRINTERRORMESSAGES

